precision mediump float;

// input from glUniform's
uniform mat4 u_projection_matrix;
uniform mat4 u_model_matrix;

// input from glVertexAttribPointer (for each vertex)
layout (location=0) in vec3 i_position;

void main() {
    gl_Position = u_projection_matrix*u_model_matrix*vec4(i_position,1);
}

